package app

import (
	"context"
	svc "gim/internal/business/comm/service"
	"gim/pkg/grpclib"
)

type cloudUpload struct{}

var CloudUpload = new(cloudUpload)

// FileReqUpload 请求文件上传
func (*cloudUpload) FileReqUpload(ctx context.Context, uid, dirName, fName string, fSize int64) (interface{}, error) {
	masterId, _ := grpclib.GetCtxMasterId(ctx)

	callbackUrl := svc.SysCfgGet("-1", "cloud_file_upload_call_back_url")
	callbackUrl = callbackUrl + masterId
	return svc.FileReqUpload(ctx, uid, dirName, fName, callbackUrl, fSize)
}
